> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Slack Bot Channels

> Channels the bot can post to (member-of only — no chat:write.public).



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /admin/slack-bot/channels
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /admin/slack-bot/channels:
    get:
      tags:
        - Slack Bot
      summary: Slack Bot Channels
      description: Channels the bot can post to (member-of only — no chat:write.public).
      operationId: slack_bot_channels_admin_slack_bot_channels_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SlackBotChannel'
                type: array
                title: Response Slack Bot Channels Admin Slack Bot Channels Get
      security:
        - APIKey: []
components:
  schemas:
    SlackBotChannel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        is_private:
          type: boolean
          title: Is Private
      type: object
      required:
        - id
        - name
        - is_private
      title: SlackBotChannel
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````